(function() {
    "use strict";

    var buttons,
        cube;

    document.addEventListener('DOMContentLoaded', bindEvents, false);

    function bindEvents() {
        cube = document.querySelector('.cube');
        buttons = document.querySelectorAll('.prev, .next');

        buttons[0].addEventListener('click', prev, false);
        buttons[1].addEventListener('click', next, false);

        // Initial spin
        cube.classList.add('spin');

        setTimeout(function() {
            cube.classList.remove('spin');
        }, 3000);
    }

    function prev(e) {
        cube.classList.add('prev');
        setTimeout(function() {
            cube.classList.remove('prev');
        }, 3000);
    }

    function next(e) {
        cube.classList.add('next');
        setTimeout(function() {
            cube.classList.remove('next');
        }, 3000);
    }
})();
